#!/bin/bash
PKG_VERSION=`cat /home/jack/luci-app-mycpe/Makefile|grep PKG_VERSION|awk -F "=" '{print $2}'`
PKG_RELEASS=`cat /home/jack/luci-app-mycpe/Makefile|grep PKG_RELEASE|awk -F "=" '{print $2}'`
NEWPKG_RELEASS=$(($PKG_RELEASS+1))
sed -i "5s/$PKG_RELEASS/$NEWPKG_RELEASS/" /home/jack/luci-app-mycpe/Makefile
cd /home/jack/openwrt-19.07.3
make package/luci-app-mycpe/compile V=s
if [ "$?" = "0" ];then
	echo Package ok.
	\cp /home/jack/openwrt-19.07.3/bin/packages/x86_64/base/luci-app-myCPE* /home/jack/luci-app-mycpe/openwrt -r
	cd /home/jack/luci-app-mycpe/openwrt
	rm md5
	for app in `ls |grep -v md5`;do
		md5sum $app >> /home/jack/luci-app-mycpe/openwrt/md5
	done
	ipkmd5=`cat /home/jack/luci-app-mycpe/openwrt/md5|tail -1|awk '{print $1}'`
	cd /home/jack/luci-app-mycpe
	git add .
	git commit -m "upgrade `echo $PKG_VERSION`.`echo $NEWPKG_RELEASS` `echo $ipkmd5` `date`"
	git push
	cat /home/jack/luci-app-mycpe/Makefile|grep PKG_RELEASE
	cat /home/jack/luci-app-mycpe/openwrt/md5
else
	echo Package bad.
fi

